file1 = fopen('surfPres/p2k20.txt', 'r');
file2 = fopen('surfPres/p2k25.txt', 'r');
file3 = fopen('surfPres/p2k30.txt', 'r');
file4 = fopen('surfPres/p2k35.txt', 'r');

A1 = fscanf(file1, '%f', [7,inf]);
A2 = fscanf(file2, '%f', [7,inf]);
A3 = fscanf(file3, '%f', [7,inf]);
A4 = fscanf(file4, '%f', [7,inf]);

fclose(file1);
fclose(file2);
fclose(file3);
fclose(file4);

plot(A1(3,:), A1(1,:), 'Color', [1 0.1177 0], 'LineWidth', 1.5);
hold on;
plot(A2(3,:), A2(1,:), 'Color', [1 0.6118 0], 'LineWidth', 1.5);
plot(A3(3,:), A3(1,:), 'Color', [0.05882 0.3255 0.6549], 'LineWidth', 1.5);
plot(A4(3,:), A4(1,:), 'Color', [0.01569 0.2039 0.4235], 'LineWidth', 1.5);
hold off;
axis([-0.6 0.6 -2 1.5]);
h = legend('AOA=20^{\circ}', 'AOA=25^{\circ} ', 'AOA=30^{\circ}', 'AOA=35^{\circ}');
set(gca, 'FontName', 'Palatino', 'FontSize', 14);
set(gcf, 'PaperPositionMode', 'auto', 'PaperSize', [6 5]);
xlabel('x-coordinate');
ylabel('Surface pressure');
out_file = strcat('../../surfPresLiftRe2000.pdf');
print('-dpdf', '-r300', out_file);

%{
%plot(A0(1,:), A0(4,:), 'Color', [0.6510 0.07451 0], 'LineWidth', 1.5);
%hold on;
plot(A1(1,:), A1(4,:), 'Color', [1 0.1177 0], 'LineWidth', 1.5)
hold on;
plot(A2(1,:), A2(4,:), 'Color', [1 0.6118 0], 'LineWidth', 1.5);
plot(A3(1,:), A3(4,:), 'Color', [0.05882 0.3255 0.6549], 'LineWidth', 1.5);
%plot(A4(1,:), A4(4,:), 'Color', [0.01569 0.2039 0.4235], 'LineWidth', 1.5);
hold off;
axis([-2 1 -0.6 0.6]);
%h = legend('AOA=20^{\circ}', 'AOA=25^{\circ} ', 'AOA=30^{\circ}', 'AOA=35^{\circ}');
h = legend('AOA=30^{\circ}', 'AOA=35^{\circ} ', 'AOA=30^{\circ} with bump');
set(gca, 'FontName', 'Palatino', 'FontSize', 14);
set(gcf, 'PaperPositionMode', 'auto', 'PaperSize', [6 5]);
xlabel('Surface pressure');
ylabel('y-coordinate');
out_file = strcat('../../surfPresDragTripARe2000.pdf');
print('-dpdf', '-r300', out_file);
%}
